Subject: RE: Make 3.77 $(shell) function problems
From: "Lincoln, W. Terry" <[email-masked]>
To: "'Michael K. Elwood'" <[email-masked]>
Cc: "'Cygwin Mailing List'" <[email-masked]>
Date: Wed, 26 May 1999 15:48:39 -0400

Is your SHELL environment variable set to something?

Try sending in the output of:
 cygcheck -s -v -r

Michael K. Elwood wrote:
> 
> >I'm having a bit of trouble with cygwin Make 3.77. The $(shell ...)
> function
> >does not seem to be working properly. It's not returning the 
> output of the
> >shell command. Here is a simple test makefile:
> >
> >shelltest = $(shell echo Hello)
> >
> >all:
> >    @echo Shelltest = $(shelltest)
> 
> >
> >When I run this using cygwin Make 3.77, I get:
> >
> >Shelltest =
> >
> >I tried this on one of our linux boxes using Make 3.76.1, and I get:
> >
> >Shelltest = Hello
> 
> Apologies for replying to my own post, but I have some additional
> information. This problem only seems to occur in the mingw32 
> make (version
> 3.77 from JanJaap's site). The cygwin make (my current 
> installation has make
> 3.75) does not show this behavior.
> 
> Putting single quotes around the shell command (i.e. $(shell 
> 'echo Hello'),
> as someone suggested) did not help, but it did cause make to emit the
> following error message:
> 
> process_begin: CreateProcess((null), "echo Hello", ...) failed.
> make: *** expand_function: unable to launch process (e=2)
> .  Stop.
> 
> Best regards,
> 
> MKE
> 

W. Terry Lincoln - Senior Engineer       \     \   _   /
Ultimate Technology Corporation           \     \ |J| /
a Tridex Company (NASDAQ:trdx)             \     _|E|_
   ICQ# 39362285                            \   |_ S _|
  <http://wwp.icq.com/39362285>              \    |U|
 <mailto:[email-masked]>          \ / |S| \
 <http://www.AngelFire.com/ny/TerryLincoln>    \  | |    
<http://www.geocities.com/Eureka/Concourse/7326> ~~~~~
==========================================================
Opinions expressed do not represent the management of UTC.

--
Want to unsubscribe from this list?
Send a message to [email-masked]